package org.apache.bcel.util;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Objects;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import org.apache.bcel.util.ClassPath;

abstract class AbstractZip extends ClassPath.AbstractPathEntry {
  private final ZipFile zipFile;
  
  AbstractZip(ZipFile zipFile) {
    this.zipFile = Objects.<ZipFile>requireNonNull(zipFile, "zipFile");
  }
  
  public void close() throws IOException {
    if (this.zipFile != null)
      this.zipFile.close(); 
  }
  
  ClassPath.ClassFile getClassFile(String name, String suffix) {
    ZipEntry entry = this.zipFile.getEntry(toEntryName(name, suffix));
    if (entry == null)
      return null; 
    return (ClassPath.ClassFile)new Object(this, entry);
  }
  
  URL getResource(String name) {
    ZipEntry entry = this.zipFile.getEntry(name);
    try {
      return (entry != null) ? new URL("jar:file:" + this.zipFile.getName() + "!/" + name) : null;
    } catch (MalformedURLException e) {
      return null;
    } 
  }
  
  InputStream getResourceAsStream(String name) {
    ZipEntry entry = this.zipFile.getEntry(name);
    try {
      return (entry != null) ? this.zipFile.getInputStream(entry) : null;
    } catch (IOException e) {
      return null;
    } 
  }
  
  public String toString() {
    return this.zipFile.getName();
  }
  
  protected abstract String toEntryName(String paramString1, String paramString2);
}
